Name: be2net
Version: 4.6.267.4
Release: 1
Group: System Environment/Kernel
Vendor: Emulex Corporation
URL: http://www.emulex.com
Packager: Emulex Corporation
License: GPL
Source: %{name}-%{version}.tar.gz
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}
Summary: Emulex NIC Driver

%define debug_package %{nil}

%define suse %{!?suse_kernel_module_package:0}%{?suse_kernel_module_package:1}

%if %{suse}
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}

%ifarch x86_64
%{suse_kernel_module_package -x default smp kdump xen}
%else 
	%ifarch ppc64
	%{suse_kernel_module_package -x ppc64}
	%else
	%if %{sles_version} == 10
	%{suse_kernel_module_package -x default smp bigsmp kdump xen xenpae}
	%else
		%{suse_kernel_module_package -x default smp pae kdump xen xenpae}
	%endif
%endif
%endif

%else
BuildRequires: %kernel_module_package_buildreqs
%{kernel_module_package}
%endif

%description
This package contains the Linux NIC driver for Emulex network adapters
The GPG Public Key of digitally signed Emulex device drivers is located in:
http://www.emulex.com/downloads/linux-key.html
The NIC driver sources are located in:
http://www-dl.emulex.com/support/linux_source/nic

%package KMP
Summary: Emulex NIC Driver
Group: System/kernel

%description KMP
This package contains the Linux NIC driver for Emulex network adapters
The GPG Public Key of digitally signed Emulex device drivers is located in:
http://www.emulex.com/downloads/linux-key.html
The NIC driver sources are located in:
http://www-dl.emulex.com/support/linux_source/nic

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        export SRC=$PWD/obj/$flavor
	%if %{suse}
        make -C %{kernel_source $flavor} KSRC=/usr/src/linux modules M=$PWD/obj/$flavor CONFIG_BE2NET=m
	%else
	make -C %{kernel_source $flavor} KSRC=%{kernel_source $flavor} modules M=$PWD/obj/$flavor CONFIG_BE2NET=m
	%endif
	strip -g $PWD/obj/$flavor/be2net.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
%if %suse
export INSTALL_MOD_DIR=updates/be2net
%else
export INSTALL_MOD_DIR=extra/be2net
%endif

for flavor in %flavors_to_build; do
        make  -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2NET=m
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done


%clean
rm -rf %{buildroot}

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog
